Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Get supplier by ID

Get a supplier by id. A soft-deleted item is returned with deleted: true.

GET/suppliers/{supplierId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
supplierIdstringrequired
Responses
200

Supplier details

dataSupplierrequired
Show properties
idstringrequired
namestring
externalIdstring

Optional external identifier

companystring
citystring
streetstring
plzstring
organizationIdstring
emailstring
payoutEmailstring
orderEmailstring
phonestring
contactPersonstring
contactPhonestring
dailyMailstring
deletedboolean
supplierMarginnumber
ibanstring
bicstring
bankNamestring
payoutsEnabledboolean
createdatestring<date-time>
403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://dashboard.scango.ch/api/v1/suppliers/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "sup_01",
    "name": "Example supplier",
    "company": "Example AG",
    "city": "Zürich",
    "street": "Bahnhofstrasse 1",
    "plz": "8001",
    "email": "orders@example.ch",
    "organizationId": "org_01"
  }
}

Was this page helpful?